Skip to main content
`Ctrl`+`K`

# read_leda

read_leda(path, encoding='UTF-8')

  Read graph in LEDA format from path.

  Parameters:
    path file or string

      File or filename to read. Filenames ending in .gz or .bz2 will be uncompressed.

  Returns:
    G NetworkX graph

  References

  [1]

  http://www.algorithmic-solutions.info/leda_guide/graphs/leda_native_graph_fileformat.html

  Examples

  G=nx.read_leda(‘file.leda’)